$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.33.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.33.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '2CE5410AD47DEBBC579AF6108274CC3365712AEAB5C2CAFF6D5B4C0BC6843D16'
  checksumType = 'sha256'
  checksum64 = '2CE5410AD47DEBBC579AF6108274CC3365712AEAB5C2CAFF6D5B4C0BC6843D16'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.33-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
